BHND_CHIPC(4)

NAME
bhnd_chipc - Broadcom Home Networking Division ChipCommon Driver

SYNOPSIS
To compile this driver into the kernel, add this line to the kernel configuration file:

device bhnd

To compile driver support for all additional devices found in embedded systems, add the following additional lines to the kernel configuration file:

device cfi
device gpio
device spibus
device uart

To load the driver as a module at boot, add this line to loader.conf(5):

    bhnd_load="YES"

DESCRIPTION
The bhnd_chipc driver supports the ChipCommon core found in Broadcom Home Networking Division network chipsets and embedded systems.

The ChipCommon core provides an interface to common hardware facilities, including device identification, UARTs, CFI and SPI flash, One-time Programmable (OTP) Memory, and GPIO.

SEE ALSO
bhnd(4), intro(4)

HISTORY
The bhnd_chipc device driver first appeared in FreeBSD 11.0.

AUTHORS
-nosplit The bhnd_chipc driver was written by Landon Fuller <landonf@FreeBSD.org>, and Michael Zhilin <mizhka@FreeBSD.org>.